at.chipkarte.client.bkf.soap

## Class BKFArzt

- Object
- - at.chipkarte.client.bkf.soap.BKFArzt

-     public class BKFArzt
      extends Object

  Diese Klasse enthält die Daten eines zertifizierten Arztes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFArzt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArztID()` Eindeutiger Bezeichner eines Arztes.
    `String` | `getTitelHinten()` Titel hinten.
    `String` | `getTitelVorne()` Titel vorne.
    `String` | `getVorname()` Vorname.
    `String` | `getZertifikatsart()` Kennzeichen ob der Arzt nur Zweitbefundungen durchführen darf.
    `String` | `getZuname()` Zuname.
    `void` | `setArztID(String arztID)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`
    `void` | `setZertifikatsart(String zertifikatsart)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFArzt

          public BKFArzt()

  - ### Method Detail

    - #### getVorname

          public String getVorname()

      Vorname.
      Angabe: Muss.
      Format: maximal 70-stellig
      Returns:
        Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname.
      Angabe: Muss.
      Format: maximal 70-stellig
      Returns:
        Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        TitelVorne

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten.
      Angabe: Kann.
      Format: maximal 30-stellig
      Returns:
        TitelHinten

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### getArztID

          public String getArztID()

      Eindeutiger Bezeichner eines Arztes.
      Angabe: Muss.
      Format: maximal 11-stellig
      Returns:
        ArztID

    - #### setArztID

          public void setArztID(String arztID)

    - #### getZertifikatsart

          public String getZertifikatsart()

      Kennzeichen ob der Arzt nur Zweitbefundungen durchführen darf.
      Angabe: Muss.
      Mögliche Werte:
      0 für alle Befundungen berechtigt
      1 nur als Zweitbefunder berechtigt.
      Nur relevant bei Screening-Dokumentation.
      Returns:
        Zertifikatsart

    - #### setZertifikatsart

          public void setZertifikatsart(String zertifikatsart)